1.2pre:
    • Removed defunct 'PrivateMode' autocommand.
    • Removed 'jsdebugger' option.
    • Removed "venkman" from :dialog.

1.1:
    • Vim runtime files:
      - renamed :mksyntax to :mkvimruntime which now generates
        all Vim related files.
      - Vimball packages are no longer available.
    • Removed <F1> and <A-F1> mappings.
    • Added :private command.
    • Better per-window private browsing support.
    • Removed 'private' option.

1.0:
    • Extensive Firefox 4 support, including:
      - Fully restartless. Can now be installed, uninstalled,
        enabled, disabled, and upgraded without restarting Firefox.
        [b4]
      - Tabs in :buffer completions and listings are grouped
        by panorama groups. [b1]
      - Only visible tabs are considered in tab numbering,
        n_gt, n_gn, etc. [b1]
    • Performance improvements:
      - Improved startup time by a factor of 7. [b1]
      - Further improved startup time. [b6]
      - Significant completion speed improvements, especially for
        JavaScript. [b1]
    • Added site-local and script-local groups: [b6]
      - Added the :group command to define and select groups.
      - Added the -group flag to :abbreviate, :autocmd, :command,
        :map, :style, and friends.
      - Mappings and commands can now be bound to groups which
        execute only for certain websites.
      - Autocommands, commands, mappings, and styles are now
        automatically added to per-script groups so that most traces
        of a script can be easily purged.
    • Greatly improved private mode support and :sanitize command.
      - Full integration with Firefox data clearing dialogs. [b3]
      - Support for sanitizing items at shutdown. [b3]
      - Fine-grained control over what data is sanitized and for
        what timespan. [b1]
      - Support for sanitizing reference to particular hosts,
        everywhere from command-line and message history to option
        values and cookies. [b1]
    • New and much more powerful incremental search implementation.
      Improvements over the standard Firefox find include:
      - Starts at the cursor position in the currently selected
        frame, unlike Firefox, which always starts at the start of
        the first frame. [b1]
      - Returns the cursor and viewport to their original position
        on cancel. [b1]
      - Backtracks to the first successful match after pressing
        backspace. [b1]
      - Supports reverse incremental search. [b1]
      - Input boxes are not focused when matches are highlighted. [b1]
      - Crude regular expression search is supported. [b8]
      - New searches now start within the current viewport where possible. [b8]
    • Text editing improvements, including:
      - Added t_gu, t_gU, and v_o mappings. [b8]
      - Added t_<C-a> and t_<C-a> mappings. [b8]
      - Added o_c, o_d, and o_y mappings. [b8]
      - Added register and basic kill ring support, t_" and
        I_<C-'>/I_<C-"> mappings, and :registers command. [b8]
      - Added operator modes and proper first class motion maps. [b8]
      - Improved undo support for most mappings. [b8]
    • General completion improvements
      - Greatly improved completion rendering performance, especially
        while scrolling. [b8]
      - Added c_<C-f>, c_<C-b>, c_<C-Tab>, and c_<C-S-Tab> for scrolling
        the completion list in increments larger than one line. [b8]
      - Improved handling of asynchronous completions, including: [b8]
        + Pressing <Return> after tabbing past the end of already received
          completions will execute the command after the desired result has
          arrived.
        + Tabbing past the end of available completions more reliably selects
          the desired completion when it is available.
        + Late arriving completion results no longer interfere with typing.
        + It is now possible to skip past the end of incomplete completion
          groups via the c_<C-f> and c_<C-Tab> keys.
      - JavaScript completion improvements, including: [b2]
        + The prototype of the function whose arguments are currently
          being typed is displayed during completion.
        + Non-enumerable global properties are now completed for the
          global object, including XMLHttpRequest and encodeURI.
      - The concept of completion contexts is now exposed to the user
        (see :contexts), allowing for powerful and fine-grained
        completion system customization. [b1]
    • Ex command parsing improvements, including:
      - Multiple Ex commands may now be separated by | [b1]
      - Commands can continue over multiple lines in RC files by
        prefixing the continuation lines with a \ [b3]
      - The \ character is no longer treated specially within single
        quotes, i.e., 'fo\o''bar' ⇒ fo\o'bar [b1]
    • IMPORTANT: Command script files now use the *.penta file extension. [b2]
    • IMPORTANT: Plugins are now loaded from the 'plugins/'
      directory in 'runtimepath' rather than 'plugin/'. [b1]
    • The command line is now hidden by default. Added c, C, and M to
      'guioptions'. [b4]
    • Hints mode improvements, including:
      - Added [;A] extended hint mode. [rc2]
      - Added [g;] continued extended hints mode, which allows
        selecting multiple hints. Removed ;F. [b1]
      - Hints are now updated after scrolling and window resizing. [b3]
      - [;s] now prompts for a filename on the command-line rather
        than in a dialog. [b5]
      - Added [;a] and [;S] modes for creating bookmarks and search keywords. [b4][b3]
      - Added 'hintkeys' option. [b2]
      - Added "transliterated" option to 'hintmatching'. [b1]
    • The external editor can now be configured to open to a given
      line number and column, used for opening source links and
      editing input fields with i_<C-i>. See :h 'editor'. [b4]
    • Improved [macro-string] support, including automatic elision
      of optional elements, and array subscripts. [b4][b7]
    • Added -pentadactyl-remote command-line option. [b8]
    • Moved the smooth-scroll plugin to the core. [b8]
    • Improvements to marks:
      - Marks are now stored as line and column ordinals rather than percentages. [b8]
      - Marks now store the marked element and ensure its visibility when followed. [b8]
    • Mapping changes:
      - It's now possible to map keys in many more modes, including
        Hint, Multi-line Output, and Menu. [b4]
      - <C-o> and <C-i> now behave more like Vim. [b8]
      - n_G now uses 'linenumbers' to determine destination if possible. [b8]
      - Added n_s and n_S. [b8]
      - Added Operator mode for motion maps, per Vim. [b8]
      - Added site-specific mapping groups and related command
        changes. [b6]
      - Added 'timeout' and 'timeoutlen' options. [b6]
      - Added n_{, n_}, n_[ and n_] mappings. [b7]
      - Added n_g], n_[d and n_]d. [b8]
      - Added <C-t> to open the next mapping in a new tab. [b8]
      - Added <A-b> to execute a builtin mapping. [b6]
      - Added <A-m>l and <A-m>s to aid in the construction of
        macros. [b6]
      - Added <Pass> pseudo-key. [b6]
      - Removed the implicit page load delays during macro playback. [b6]
      - Added the base modes Base, Main, and Command which other
        modes inherit key bindings from. [b6]
    • Command changes:
      - :viusage, :optionusage and :exusage were replaced with :listkeys,
        :listoptions and :listcommands, providing more powerful and
        consistent interactive help facility (improvements include
        listing keys for modes other than Normal, filtering the output,
        and linking to source code definitions). [b4]
      - :downloads now opens a download list in the multi-line output
        buffer. Added -sort flag. [b6][b7]
      - :style now supports regexp site-filters on Firefox 6+. [b7]
      - :qa closes only the current window, per Vim. [b7]
      - Added :background command. [b8]
      - Removed :bwipeout and :bunload aliases. Changed :bdelete and
        :tabclose semantics slightly. The latter now only operates on
        visible tabs. [b8]
      - Added -id flag to :bmark command and changed updating semantics. [b8]
      - Added :exit command. [b7]
      - Added :dlclear command. [b7]
      - :extensions has been replaced with a more powerful :addons. [b6]
      - :javascript! now opens a Read Eval Print Loop. [b6]
      - Added -arg flag to :map. [b6]
      - Added -literal flag to :command. [b6]
      - Added :completions command. [b6]
      - Added :cookies command. [b3]
      - :extadd now supports remote URLs as well as local files on Firefox 4. [b2]
      - Added :if/:elseif/:else/:endif conditionals. [b3]
      - Added -charset and -post to :bmark. [b5]
      - Added -keyword, -tags, -title to :delbmarks. [b2]
      - Added :extrehash, :exttoggle, :extupdate, and :rehash commands. [b5]
      - :abclear, :comclear and :mapclear have been substituted by a bang now
        accepted by :unabbreviate, :delcommand and :unmap, respectively. [b6]
      - Added :feedkeys command. [b4]
      - Added -sort option to :history. [b4]
      - Added several new options, including -javascript, to :abbreviate and
        :map. [b2]
      - Added :mksyntax command to auto-generate Vim syntax files. [b4]
      - Added 's' and 'e' flags to :pageinfo command. [b7]
      - Added :pintab and :unpintab commands. [b7]
      - Extension manipulation commands, including :extenable, :extdisable,
        and :exttoggle, now accept a -types argument. [b7]
      - :tabmove now moves to the position of tab N, not after it.
        Without arguments it no longer moves the tab to the end of
        the list. [b7]
      - :open now only opens files beginning with /, ./, ../, or ~/ [b1]
      - :saveas now provides completions for default file names, and
        automatically chooses a filename when the save target is a
        directory. [b4]
      - :sidebar now accepts a ! flag to toggle the sidebar rather
        than open it unconditionally. [b6]
      - Added :write !cmd and :write >>file. [b3]
      - Added :yank command. [b3]
      - :delmarks, :marks and :qmarks now also accept ranges, same as
        :delqmarks. [b4]
      - :command now accepts comma-separated alternative command names. [b4]
      - :command -complete custom now also accepts a completions array, see
        :h :command-completion-custom. [b4]
      - Removed :beep. [b2]
      - Removed :edit, :tabedit, and :winedit aliases. [b2]
      - Removed :play. [b2]
    • Improvements to :style and :highlight:
      - Added -link flag to :highlight. [b4]
      - Added -agent flag to :style. [b2]
      - The -append flag now updates existing properties rather than
        simply appending its arguments to the previous value. [b4]
      - Active filters are now highlighted in :style listings. [b4]
      - :style-related commands now divide their completions between
        those active and inactive for the current site. [b4]
      - CSS property name completion is now available. [b4]
      - :delstyle, :styleenable, :styledisable and :styletoggle accept a !
        to operate on all styles. [b6]
      - Added Find highlighting group. [b7]
    • IMPORTANT option changes:
      - Option value quoting has changed. List options will
        no longer be split at quoted commas and the option name,
        operators, and = sign may no longer be quoted. This will
        break certain automatically-generated configuration files.
        See :help [stringlist]. [b2]
      - Boolean options no longer accept an argument. [b4]
      - 'cdpath' and 'runtimepath' no longer treat ",,"
        specially. Use "." instead. [b2]
      - 'complete' is now a [stringlist] rather than a [charlist]
        and supports native autocomplete providers. [b8]
      - 'extendedhinttags' is now a [regexpmap] rather than a
        string. [b2]
      - 'guioptions' default value has changed. [b4][b7]
      - 'hinttags' and 'extendedhinttags' now treat their values as
        CSS selectors by default. [b6]
      - 'incsearch', 'hlsearch', 'ignorecase', and 'smartcase' have
        been replaced with 'incfind', 'hlfind', and 'findcase'. [b4]
      - 'laststatus' has been replaced with the "s" flag in
        'guioptions'. [b4]
      - 'linksearch' has been removed.  The \l search modifier can
        still be used for this purpose. [b4]
      - 'loadplugins' is now a [regexplist] option rather than
        a boolean. [b2]
      - Made 'mapleader' an option rather than a :let variable. [b4]
      - Removed the 'mapleader' option. [rc2]
      - 'passkeys' is now a [sitemap] with key chain support rather
        than a [regexpmap]. [b6]
      - The precise format of 'sanitizeitems' has changed slightly. [b8]
      - 'showmode' is now a [regexplist]. [b6]
      - 'showstatuslinks' and 'showtabline' are now [string] options. [b4]
    • Other option changes:
      - Added [stringmap], [regexplist], and [regexpmap] option
        types. [b1]
      - Added [sitelist] and [sitemap] option types. [b6]
      - Added "bookmarks", "diverted", and "links" to 'activate'
        option. [b2]
      - Added 'altwildmode' and c_<A-Tab> command-line key binding. [b2]
      - Added 'autocomplete' option for specifying which completion
        groups should be auto-completed. [b2]
      - Added 'banghist' option. [b1]
      - Added 'cookies', 'cookieaccept', and 'cookielifetime' options. [b3]
      - Added 'downloadsort' option. [b7]
      - Added 'findflags' option. [b8]
      - Replaced 'focuscontent' with 'strictfocus'. [b1]
      - Made 'strictfocus' a [sitemap]. [b7]
      - 'complete' now defaults to "slf" but file completion only
        triggers when the URL begins as above. [b1]
      - Added 'jumptags' option. [b7]
      - Added 'linenumbers' option. [b8]
      - Added 's' flag to 'pageinfo' and changed default value. [b7]
      - Added 'passkeys' option. [b3]
      - Added 'passunknown' option. [b7]
      - Changed 'urlseparator' default value to "|". [b3]
      - Added "passwords", and "venkman" dialogs to :dialog. [b2][b8]
      - Added 'scrollsteps' and 'scrolltime' options. [b8]
      - Added 'spelllang' option. [b8]
      - Make 'showmode' a [stringlist] option. [b7]
      - Added 'wildanchor' option. [b2]
      - Added 'yankshort' option. [b8]
    • Added BookmarkChange, BookmarkRemove autocommands. [b2]
    • Removed the :source line at the end of files generated by
      :mkpentadactylrc. [b2]
    • n_gf now toggles between source and content view.
      The | key binding has been removed. [b1]
    • Page zoom information is now shown in the status bar, and
      change in zoom status no longer appears in :messages. [b1]
    • Added n_ZO, n_ZI, n_ZM, and n_ZR as aliases for n_zO, n_zI,
      n_zM, and n_zR. [b1]
    • Completion list now behaves better when the multi-line output
      window is displayed. [b1]
    • Major help system improvements:
      - Plugins may now provide full-fledged :help documentation. [b1]
      - Add basic plugin authorship documentation. [b1]
      - The help system is newly modularized and features significant
        updates, rewrites, and formatting improvements. [b1]
      - Added <A-F1> to open the single, consolidated help page. [b5]

# vim:set ft=conf sts=2 sw=2 et fo=tcn2 tw=68:
